/**
 * 
 */
package de.dhbwstuttgart.bytecode.genericsGeneratorTypes;

import java.util.List;

/**
 * @author fayez
 *
 */
public class NameReplacementResult {
	private String name;
	private List<String> oldNames;
	/**
	 * @param name
	 * @param oldNames
	 */
	public NameReplacementResult(String name, List<String> oldNames) {
		this.name = name;
		this.oldNames = oldNames;
	}
	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}
	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}
	/**
	 * @return the oldNames
	 */
	public List<String> getOldNames() {
		return oldNames;
	}
	/**
	 * @param oldNames the oldNames to set
	 */
	public void setOldNames(List<String> oldNames) {
		this.oldNames = oldNames;
	};
	
	
}
